## avra 1.0.1

=== Makefile ===
#********************************************************************
# Makefile for gcc
#********************************************************************

CC = gcc
LD = gcc
CFLAGS = -Wall -O3 -g
LDFLAGS = -s

SOURCES = avra.c device.c parser.c expr.c mnemonic.c directiv.c macro.c file.c map.c coff.c

OBJECTS = $(SOURCES:.c=.o)

OBJ_ALL = $(OBJECTS) args.o stdextra.o

DISTFILES = *.c *.h README ChangeLog Makefile.* COPYING avra.1 avra.txt strip-headers TODO

ARCHFILES = $(DISTFILES)

BINFILES = avra README ChangeLog COPYING avra.1 avra.txt

VERSION = 1.0.0

#********************************************************************

all: avra

install: avra
	cp avra /usr/local/bin
	cp avra.1 /usr/local/man/man1
	chmod +r /usr/local/man/man1/avra.1

clean:
	rm -f avra *.o *.p *~ avra.exe

avra: $(OBJ_ALL)
	$(LD) -o avra $(OBJ_ALL) $(LDFLAGS)

args.o: args.c misc.h args.h
avra.o: avra.c misc.h args.h avra.h device.h
device.o: device.c misc.h avra.h device.h
directiv.o: directiv.c misc.h args.h avra.h device.h
expr.o: expr.c misc.h avra.h
file.o: file.c misc.h avra.h
macro.o: macro.c misc.h args.h avra.h
mnemonic.o: mnemonic.c misc.h avra.h device.h
parser.o: parser.c misc.h avra.h
stdextra.o: stdextra.c misc.h
coff.o: coff.c coff.h

avra.txt: avra.1
	groff -man -Tascii avra.1 | ./strip-headers | col -bx > avra.txt

#********************************************************************

disk: archive
	mcopy -ovm avra.tar.gz a:avra.tgz

archive: avra.tar.gz

avra.tar.gz: $(ARCHFILES)
	tar cvf avra.tar $(ARCHFILES)
	gzip -9 -f avra.tar

dist: avra-$(VERSION).tar.gz

avra-$(VERSION).tar.gz: $(DISTFILES)
	mkdir avra-$(VERSION)
	cp $(DISTFILES) avra-$(VERSION)/
	tar cvf avra-$(VERSION).tar avra-$(VERSION)/*
	gzip -9 -f avra-$(VERSION).tar
	rm -r avra-$(VERSION)

#********************************************************************

## avra 1.2.3a

=== Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = .

pkgdatadir = $(datadir)/avra
pkglibdir = $(libdir)/avra
pkgincludedir = $(includedir)/avra
top_builddir = .
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
bin_PROGRAMS = avra$(EXEEXT)
subdir = .
DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(top_srcdir)/configure AUTHORS COPYING \
	ChangeLog INSTALL NEWS TODO depcomp install-sh missing
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno configure.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES =
am__installdirs = "$(DESTDIR)$(bindir)"
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(bin_PROGRAMS)
am_avra_OBJECTS = avra.$(OBJEXT) args.$(OBJEXT) coff.$(OBJEXT) \
	device.$(OBJEXT) directiv.$(OBJEXT) expr.$(OBJEXT) \
	file.$(OBJEXT) macro.$(OBJEXT) map.$(OBJEXT) \
	mnemonic.$(OBJEXT) parser.$(OBJEXT) stdextra.$(OBJEXT)
avra_OBJECTS = $(am_avra_OBJECTS)
avra_LDADD = $(LDADD)
DEFAULT_INCLUDES = -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(avra_SOURCES)
DIST_SOURCES = $(avra_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/burki/Computer+Elektronik/Eigene-PC-Software/Gepatchte_Software/avra-1.2.2/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/burki/Computer+Elektronik/Eigene-PC-Software/Gepatchte_Software/avra-1.2.2/missing --run tar
AUTOCONF = ${SHELL} /home/burki/Computer+Elektronik/Eigene-PC-Software/Gepatchte_Software/avra-1.2.2/missing --run autoconf
AUTOHEADER = ${SHELL} /home/burki/Computer+Elektronik/Eigene-PC-Software/Gepatchte_Software/avra-1.2.2/missing --run autoheader
AUTOMAKE = ${SHELL} /home/burki/Computer+Elektronik/Eigene-PC-Software/Gepatchte_Software/avra-1.2.2/missing --run automake-1.9
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"avra\" -DVERSION=\"1.1\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_STDLIB_H=1 -DHAVE_MALLOC=1 -DHAVE_STRFTIME=1 -DHAVE_VPRINTF=1 -DHAVE_MEMSET=1 -DHAVE_STRCHR=1 -DHAVE_STRSTR=1 
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/burki/Computer+Elektronik/Eigene-PC-Software/Gepatchte_Software/avra-1.2.2/missing --run makeinfo
OBJEXT = o
PACKAGE = avra
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 1.1
ac_ct_CC = gcc
ac_ct_STRIP = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build_alias = 
datadir = ${prefix}/share
exec_prefix = ${prefix}
host_alias = 
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/burki/Computer+Elektronik/Eigene-PC-Software/Gepatchte_Software/avra-1.2.2/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
avra_SOURCES = avra.c args.c coff.c device.c directiv.c expr.c file.c macro.c map.c mnemonic.c parser.c stdextra.c
all: all-am

.SUFFIXES:
.SUFFIXES: .c .o .obj
am--refresh:
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
	      cd $(srcdir) && $(AUTOMAKE) --gnu  \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	test -z "$(bindir)" || $(mkdir_p) "$(DESTDIR)$(bindir)"
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
	   $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
	  rm -f "$(DESTDIR)$(bindir)/$$f"; \
	done

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
avra$(EXEEXT): $(avra_OBJECTS) $(avra_DEPENDENCIES) 
	@rm -f avra$(EXEEXT)
	$(LINK) $(avra_LDFLAGS) $(avra_OBJECTS) $(avra_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/args.Po
include ./$(DEPDIR)/avra.Po
include ./$(DEPDIR)/coff.Po
include ./$(DEPDIR)/device.Po
include ./$(DEPDIR)/directiv.Po
include ./$(DEPDIR)/expr.Po
include ./$(DEPDIR)/file.Po
include ./$(DEPDIR)/macro.Po
include ./$(DEPDIR)/map.Po
include ./$(DEPDIR)/mnemonic.Po
include ./$(DEPDIR)/parser.Po
include ./$(DEPDIR)/stdextra.Po

.c.o:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c $<

.c.obj:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `$(CYGPATH_W) '$<'`
uninstall-info-am:

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	$(am__remove_distdir)
	mkdir $(distdir)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	-find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
	  ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
	|| chmod -R a+r $(distdir)
dist-gzip: distdir
	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
	$(am__remove_distdir)

dist-bzip2: distdir
	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
	$(am__remove_distdir)

dist-tarZ: distdir

## avra 1.3.0

=== doc/Makefile ===
###
# Sourceforge helper Makefile
###
USER=jerryjacobs
HOSTNAME=shell.sourceforge.net
PROJECT=avra
HTDOCS=/home/groups/a/av/avra/htdocs

all: help

upload: htdocs_scp htdocs_chmod

###
# Help message
###
help:
	@echo "No command specified! Available commands:"
	@echo
	@echo "Current settings"
	@echo "----------------"
	@echo "  User: ${USER}"
	@echo "  Hostname: ${HOSTNAME}"
	@echo "  Project: ${PROJECT}"
	@echo "  Remote htdoc: ${HTDOCS}"
	@echo
	@echo "Shell commands"
	@echo "--------------"
	@echo "  * shell, open a shell"
	@echo "  * shell_create, create a shell"
	@echo
	@echo "htdocs commands"
	@echo "---------------"
	@echo "  * htdocs_scp, copy all files from current dir to remote htdocs"
	@echo "  * htdocs_rm, remove all files from remote htdocs"

###
# Shell
###
shell:
	ssh ${USER},${PROJECT}@${HOSTNAME}

shell_create:
	ssh ${USER},${PROJECT}@${HOSTNAME} create

###
# htdocs
###
htdocs_scp:
	scp -r * ${USER}@${HOSTNAME}:${HTDOCS}

htdocs_chmod:
	ssh ${USER}@${HOSTNAME} chmod -Rv ug+rw ${HTDOCS}/*

htdocs_rm:
	ssh ${USER}@${HOSTNAME} rm -Rv ${HTDOCS}/*

=== debian/changelog ===
avra (1.3.0-3) unstable; urgency=medium

  * Use hardening options.
  * Bump up standards version to 3.9.8
  * New maintainer email address.

 -- Milan Kupcevic <milan@debian.org>  Mon, 23 May 2016 23:54:18 -0400

avra (1.3.0-2) unstable; urgency=low

  * Update standards version to 3.9.6
  * Lintian override license-problem-undefined-license for files containing 
    interface definitions.
  * Use proper function return types (closes: #749604)
  * LP: #681491 was fixed in upstream version 1.3.0

 -- Milan Kupcevic <milan@physics.harvard.edu>  Sat, 29 Nov 2014 21:35:16 -0500

avra (1.3.0-1) unstable; urgency=low

  * New upstream release (closes: #588507)
    - fixes invalid comment characters (closes: #668631)
  * New maintainer (closes: #691906)
  * Transform source format to 3.0 (quilt)
  * Update standards version to 3.9.4
  * Bump debhelper compatibility to 9
  * Remove Vcs-Git and Vcs-Browser control fields.
  * debian/rules, debian/copyright, debian/watch, debian/avra.examples: Rewrite.
  * debian/avra.1, debian/control: Update.
  * debian/avra.manpages, debian/avra.install, debian/avra.docs: New files.
  * Backport support for ATtiny20 with AVR8L.
  * Add support and header files for ATtiny4, ATtiny5, ATtiny9 and ATtiny10.

 -- Milan Kupcevic <milan@physics.harvard.edu>  Mon, 09 Sep 2013 23:15:14 -0400

avra (1.2.3a-1) unstable; urgency=low

  * New upstream release (closes: #507443).
    - Fixes address range error (closes: #527978).
  * Install register and bit-name definitions from AVR000.zip.
  * Update standards version to 3.8.3.
  * Use new Homepage control field.
  * Add Vcs-Git and Vcs-Browser control fields.
  * Change maintainer's email address.

 -- Tobias Klauser <tklauser@distanz.ch>  Wed, 20 Jan 2010 15:24:49 +0100

avra (1.2.2-1) unstable; urgency=low

  * New upstream release
  * Depends on automake1.9 now, regenerated autotools files
    (01-autotools.dpatch)
  * Update debhelper compatibility level from 4 to 5
  * Do not ignore error messages in the clean target of debian/rules

 -- Tobias Klauser <tklauser@access.unizh.ch>  Sat, 18 Aug 2007 14:19:48 +0200

avra (1.2.1-1) unstable; urgency=low

  * New upstream release (Closes: #314784)
  * Add watch file

 -- Tobias Klauser <tklauser@access.unizh.ch>  Sun, 14 Jan 2007 16:48:00 +0100

avra (1.0.1-1) unstable; urgency=low

  * New maintainer (Closes: #404467)
  * Add manpage for avra (Closes: #360577). Thanks to Robert Lemmen
  * Update standards version

 -- Tobias Klauser <tklauser@access.unizh.ch>  Mon,  1 Jan 2007 15:14:40 +0100

avra (1.0.1-0.1) unstable; urgency=low

  * NMU.
  * New upstream release including new device types that I need...
  * SOURCE/Makefile: Fix upstream version to 1.0.1.
  * debian/rules (build,clean,install): Adjust for new Makefile and 
    sources location.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 29 Jun 2005 11:04:43 +0200

avra (0.7-1) unstable; urgency=low

  * New upstream version (closes: Bug#181858)
  * Updated author's website address & copyright details

 -- Jefferson E. Noxon <jeff@debian.org>  Tue, 25 Feb 2003 14:10:40 -0600

avra (0.5-1) unstable; urgency=low

  * New upstream version
  * Added Build-Depends (closes: Bug#70139).

 -- Jefferson E. Noxon <jeff@debian.org>  Sun,  5 Nov 2000 15:19:57 -0600

avra (0.4-2) unstable; urgency=low

  * Updated author's web, e-mail, and postal addresses
  * Updated to comply with debian-policy 3.0.1.1
  * Upload now contains pristine upstream source & patches (Fixes #44219)

 -- Jefferson E. Noxon <jeff@debian.org>  Tue, 14 Sep 1999 23:14:48 -0500

avra (0.4-1) unstable; urgency=low

  * Upgraded to new upstream version.
  * Compiled with glibc 2.1

 -- Jefferson E. Noxon <jeff@planetfall.com>  Sun,  4 Apr 1999 11:03:50 -0500

avra (0.2-1) unstable; urgency=low

  * Initial Release.

 -- Jefferson E. Noxon <jeff@planetfall.com>  Mon, 28 Sep 1998 14:01:38 -0500

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --sourcedirectory=src

override_dh_auto_configure:
	cd src; AUTOMAKE="automake --foreign" autoreconf -i
	dh_auto_configure --sourcedirectory=src

override_dh_installchangelogs:
	dh_installchangelogs doc/ChangeLog.html

=== debian/watch ===
version=3
http://sf.net/avra/ avra-([[:alnum:]\.]*)(?:-src|)\.tar\.(?:gz|bz2|xz)

## avra 1.4.2+dfsg

=== Makefile ===
OS = linux
VERSION = 1.4.2

DISTFILES = src \
	includes \
	tests \
	README.md \
	CHANGELOG.md \
	USAGE.md \
	AUTHORS \
	COPYING \
	Makefile \

PREFIX ?= /usr/local
TARGET_INCLUDE_PATH ?= $(PREFIX)/include/avr

CDEFS = -DDEFAULT_INCLUDE_PATH='"$(TARGET_INCLUDE_PATH)"' \
	-DVERSION='"$(VERSION)"'
export CDEFS

.PHONY: all
all:
	$(MAKE) -C src -f makefiles/Makefile.$(OS)

.PHONY: clean
clean:
	$(MAKE) -C src -f makefiles/Makefile.$(OS) clean

avra-$(VERSION).tar.gz: $(DISTFILES) clean
	mkdir avra-$(VERSION)
	cp -r $(DISTFILES) avra-$(VERSION)/
	tar cvf avra-$(VERSION).tar avra-$(VERSION)/*
	gzip -9 -f avra-$(VERSION).tar
	rm -r avra-$(VERSION)

.PHONY: dist
dist: avra-$(VERSION).tar.gz

.PHONY: install
install: all
	install -d $(DESTDIR)$(PREFIX)/bin
	install -m 755 src/avra $(DESTDIR)$(PREFIX)/bin
	install -d $(DESTDIR)$(TARGET_INCLUDE_PATH)
	cp includes/* $(DESTDIR)$(TARGET_INCLUDE_PATH)

.PHONY: check
check: all
	cd tests/regression && ./runtests.sh

=== debian/changelog ===
avra (1.4.2+dfsg-1) unstable; urgency=medium

  * new upstream release (closes: #969580)
  * switch to DEP-14 repo packaging layout
  * d/watch: new upstream location
  * d/copyright: update
  * d/control: new upstream location
  * remove outdated man page
  * remove upstream applied patches
  * help output update patch
  * update build rules, debhelper compat to 12
  * produce avra manual page
  * update standards version to 4.6.2
  * do not suggest obsolete avrprog and avrp packages
  * add autopkgtest
  * fix usage description typos

 -- Milan Kupcevic <milan@debian.org>  Wed, 22 Mar 2023 08:56:51 -0400

=== debian/control ===
Source: avra
Section: electronics
Priority: optional
Maintainer: Milan Kupcevic <milan@debian.org>
Build-Depends:
 debhelper (>= 12),
 automake,
 help2man
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/debian/avra.git
Vcs-Browser: https://salsa.debian.org/debian/avra
Homepage: https://github.com/Ro5bert/avra

Package: avra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: avrdude
Description: assembler for Atmel AVR microcontrollers
 Avra is an assembler for the Atmel's family of AVR 8-bit RISC
 microcontrollers.  It is mostly compatible with Atmel's own assembler,
 but adds new features such as better macro support and additional
 preprocessor directives.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- \
	  PREFIX=/usr \
	  TARGET_INCLUDE_PATH=/usr/share/avra

override_dh_auto_install:
	dh_auto_install -- \
	  PREFIX=/usr \
	  TARGET_INCLUDE_PATH=/usr/share/avra

override_dh_missing:
	dh_missing --list-missing

=== debian/tests/control ===
Test-Command: avra --devices | grep ATmega328
Depends: avra

=== debian/watch ===
version=4
opts="searchmode=plain,compression=xz,repack,repacksuffix=+dfsg,\
dversionmangle=s:.dfsg[0-9]*::,\
filenamemangle=s%@ANY_VERSION@$%@PACKAGE@-$1.tar.gz%,\
uversionmangle=s:(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|a|b)\d*)$:$1~$2:" \
https://api.github.com/repos/Ro5bert/avra/tags?per_page=50 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/refs/tags/@ANY_VERSION@
